%define upstream_name    Search-Dict
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Search a dictionary ordered text file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Handle)
BuildArch: noarch

%description
Sets file position in FILEHANDLE to be first line greater than or equal
(stringwise) to _$key_. Returns the new file position, or -1 if an error
occurs.

The flags specify dictionary order and case folding:

If _$dict_ is true, search by dictionary order (ignore anything but word
characters and whitespace). The default is honour all characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-11.mga6
+ Revision: 1033016
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.70.0-10.mga6
+ Revision: 932438
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-9.mga5
+ Revision: 741294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-8.mga5
+ Revision: 686176
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.70.0-7.mga4
+ Revision: 522780
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.70.0-6.mga3
+ Revision: 405542
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-5.mga3
+ Revision: 372553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.70.0-4.mga3
+ Revision: 315579
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.70.0-3.mga3
+ Revision: 294859
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.70.0-2.mga3
+ Revision: 284600
- perl 5.16.1 rebuild

* Sat Jun 09 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 258797
- imported package perl-Search-Dict


* Sat Jun 09 2012 cpan2dist 1.07-1mga
- initial mageia release, generated with cpan2dist
